create or replace procedure getFTTtrnx(
   results out sys_refcursor)
   is
   begin
     open results for
       select ftt.* from BIB_FTT_TRANSFER ftt join BIB_COMPANY_TRANSACTION com on ftt.TRNX_ID = com.TRNX_ID 
	   where ftt.retrieve_indi = 0 and ftt.si_indicator=1 and com.TRNX_STATUS='Accepted' and trunc(ftt.trnx_date) = to_date(sysdate, 'DD-MM-YY');
	   
     update BIB_FTT_TRANSFER set retrieve_indi = 1 where TRNX_ID in
	   (select ftt.TRNX_ID from BIB_FTT_TRANSFER ftt join BIB_COMPANY_TRANSACTION com on ftt.TRNX_ID = com.TRNX_ID 
	   where ftt.retrieve_indi = 0 and ftt.si_indicator=1 and com.TRNX_STATUS='Accepted' and trunc(ftt.trnx_date) = to_date(sysdate, 'DD-MM-YY'));
end;


create or replace procedure getFTTSItrnx(
   results out sys_refcursor)
   is
   begin
     open results for
           select ftt.* from BIB_FTT_TRANSFER ftt join BIB_SI_HISTORY si on ftt.TRNX_ID = si.si_trnx_id 
	   where ftt.retrieve_indi = 0 and ftt.si_indicator=0 and trunc(si.TRNX_DATE) = to_date(sysdate, 'DD-MM-YY') and si.trnx_code = 'ftt'nand si.status='Accepted';

	  update BIB_FTT_TRANSFER set retrieve_indi = 1 where TRNX_ID in
	   (select ftt.TRNX_ID from BIB_FTT_TRANSFER ftt join BIB_SI_HISTORY si on ftt.TRNX_ID = si.si_trnx_id 
	   where ftt.retrieve_indi = 0 and ftt.si_indicator=0 and trunc(si.TRNX_DATE) = to_date(sysdate, 'DD-MM-YY') and si.trnx_code = 'ftt' and si.status='Accepted');
end;