create or replace procedure getRentastrnx(
   results out sys_refcursor)
   is
   begin
     open results for
         select rtg.* from RENTAS_DETAIL rtg join BIB_COMPANY_TRANSACTION com on rtg.oid = com.TRNX_ID 
	   where rtg.retrieve_indi = 0 and com.TRNX_STATUS='Accepted' and trunc(rtg.creation_date) = to_date(sysdate, 'DD-MM-YY');
	  
     update RENTAS_DETAIL set retrieve_indi = 1 where
	   (select rtg.OID from RENTAS_DETAIL rtg join BIB_COMPANY_TRANSACTION com on rtg.OID = com.TRNX_ID 
	   where rtg.retrieve_indi = 0 and com.TRNX_STATUS='Accepted' and trunc(rtg.creation_date) = to_date(sysdate, 'DD-MM-YY'));
end;







create or replace procedure getRentasSingletrnx(
   results out sys_refcursor)
   is
   begin
     open results for
       select rtg.* from BIB_INTER_TRANSFER rtg join BIB_COMPANY_TRANSACTION com on rtg.TRNX_ID = com.TRNX_ID 
	   where  rtg.retrieve_indi = 0 and rtg.payment_type='RENTAS' and rtg.si_indicator=1 and com.TRNX_STATUS='Accepted' and trunc(rtg.TRNX_DATE) = to_date(sysdate, 'DD-MM-YY');
	  
    
     update IB_INTERBANK_TRANSFER set retrieve_indi = 1 where
	   (select rtg.TRNX_ID from IB_INTERBANK_TRANSFER rtg join BIB_COMPANY_TRANSACTION com on rtg.TRNX_ID = com.TRNX_ID 
	   where rtg.retrieve_indi = 0 and rtg.payment_type='RENTAS' and rtg.si_indicator=1 and com.TRNX_STATUS='Accepted' and trunc(rtg.TRNX_DATE) = to_date(sysdate, 'DD-MM-YY'));   
end;






create or replace procedure getRentasSingleSItrnx(
   results out sys_refcursor)
   is
   begin
     open results for
	    select rtg.* from BIB_INTER_TRANSFER rtg join BIB_SI_HISTORY si on rtg.TRNX_ID = si.si_trnx_id 
	   where rtg.retrieve_indi = 0 and rtg.payment_type='RENTAS' and rtg.si_indicator=0 and si.TRNX_STATUS='Accepted' and trunc(rtg.TRNX_DATE) = to_date(sysdate, 'DD-MM-YY');

     update BIB_INTER_TRANSFER set retrieve_indi = 1 where
	   (select rtg.TRNX_ID from BIB_INTER_TRANSFER rtg join BIB_SI_HISTORY si on rtg.TRNX_ID = com.TRNX_ID 
      where rtg.retrieve_indi = 0 and rtg.payment_type='RENTAS' and rtg.si_indicator=0 and si.TRNX_STATUS='Accepted' and trunc(rtg.TRNX_DATE) = to_date(sysdate, 'DD-MM-YY'));

end;