create or replace procedure getCIBFTTtrnx(
   results out sys_refcursor)
   is
   begin
     open results for      
        select ftt.* from IB_FTT_TRANSFER ftt join ib_transaction_history hist on ftt.TRNX_ID = hist.TRNX_ID 
	   where ftt.retrieve_indi = 0 and ftt.si_indicator=1 and hist.status='Accepted' and trunc(ftt.trnx_date) = to_date(sysdate, 'DD-MM-YY');
	   
     
	   update IB_FTT_TRANSFER set retrieve_indi = 1 where trnx_id in 
     (select ftt.trnx_id from IB_FTT_TRANSFER ftt join ib_transaction_history hist on ftt.TRNX_ID = hist.TRNX_ID 
	   where ftt.retrieve_indi = 0 and ftt.si_indicator=1 and hist.status='Accepted' and trunc(ftt.trnx_date) = to_date(sysdate, 'DD-MM-YY'));
end;



create or replace procedure getCIBSIFTTtrnx(
   results out sys_refcursor)
   is
   begin
     open results for
       select ftt.* from IB_FTT_TRANSFER ftt join IB_SI_HISTORY si on ftt.TRNX_ID = si.si_trnx_id 
	   where ftt.retrieve_indi = 0 and ftt.si_indicator=0  and si.trnx_code = 'ftt' and trunc(si.TRNX_DATE) = to_date(sysdate, 'YYYY-MM-DD')  and si.status='Accepted'; 

	  update IB_FTT_TRANSFER set retrieve_indi = 1 where TRNX_ID in
	   (select ftt.TRNX_ID from IB_FTT_TRANSFER ftt join IB_SI_HISTORY si on ftt.TRNX_ID = si.si_trnx_id 
	   where ftt.retrieve_indi = 0 and ftt.si_indicator=0 and trunc(si.TRNX_DATE) = to_date(sysdate, 'DD-MM-YY') and si.trnx_code = 'ftt' );
end;