CREATE OR REPLACE PROCEDURE updateRentastrnx(
	   id IN RENTAS_DETAIL.OID%TYPE,
	   sta IN RENTAS_DETAIL.STATUS%TYPE)
IS
BEGIN

  UPDATE RENTAS_DETAIL SET STATUS = sta where OID = id;
  UPDATE BIB_COMPANY_TRANSACTION SET TRNX_STATUS = sta where TRNX_ID = id;
  COMMIT;

END;



CREATE OR REPLACE PROCEDURE updateRentasSingletrnx(
	   trnxid IN IB_INTERBANK_TRANSFER.TRNX_ID%TYPE,
	   sta IN IB_INTERBANK_TRANSFER.STATUS%TYPE)
IS
BEGIN

  UPDATE IB_INTERBANK_TRANSFER SET STATUS = sta where TRNX_ID = trnxid;
  UPDATE BIB_COMPANY_TRANSACTION SET TRNX_STATUS = sta where TRNX_ID = trnxid;
  COMMIT;

END;

CREATE OR REPLACE PROCEDURE updateRentasSItrnx(
	   trnxid IN BIB_SI_HISTORY.SI_TRNX_ID%TYPE,
	   sta IN BIB_SI_HISTORY.TRNX_STATUS%TYPE)
IS
BEGIN

  UPDATE BIB_SI_HISTORY SET STATUS = sta where SI_TRNX_ID = trnxid;
  COMMIT;

END;